﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OpenLabCDSEmulator
{
    public partial class OpenLabCDS : Form
    {
        public OpenLabCDS()
        {
            InitializeComponent();
            ToolTip tip = new ToolTip();
            tip.SetToolTip(this.btnImportSeq, "从 CSV/TSV 或结果集导入序列");
            tip.SetToolTip(this.unwanted1, "点击以查看所有验证错误");
        }

        private void Start_Click(object sender, EventArgs e)
        {
            this.Record.Text += "\r\nStart Button Clicked";
        }

        private void Record_DoubleClick(object sender, EventArgs e)
        {
            this.Record.Text = "";
        }

        private void SeqTable_Click(object sender, EventArgs e)
        {
            this.Record.Text += "\r\nSequence Table Button Clicked";
        }

        private void listView1_Click(object sender, EventArgs e)
        {
            this.Record.Text += "\r\nListItem " + listView1.SelectedItems[0].Text + "Clicked";
        }

        private void btnImportSeq_Click(object sender, EventArgs e)
        {
            this.TextImportCSV.Visible = true;
        }

        private void TextImportCSV_Click(object sender, EventArgs e)
        {
            //
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "(*.csv)|*.csv|(*.txt)|*.txt";
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                this.Record.Text += "\r\nLoad File" + ofd.FileName;
            }
            this.TextImportCSV.Visible = false;
        }

        private void listView1_ItemSelectionChanged(object sender, ListViewItemSelectionChangedEventArgs e)
        {
            if(e.Item.Selected)
            this.Record.Text += "\r\n Item " + e.Item.Text + " is Selected";
        }

        private void label1_Click(object sender, EventArgs e)
        {
            this.Record.Text += "\r\n System Running...";

        }

        private void fatal_Click(object sender, EventArgs e)
        {
            this.unwanted1.Visible = !this.unwanted1.Visible;
        }

        private void fatal2_Click(object sender, EventArgs e)
        {
            Window_1 w = new Window_1();
            w.ShowDialog();
        }

        private void label2_Click(object sender, EventArgs e)
        {
            this.Record.Text += "\r\n 退出查看 is Clicked";
        }
    }
}
